## django-select2 7.10.0

=== example/requirements.txt ===
-e ..
django-redis

## django-select2 7.7.2

=== debian/changelog ===
django-select2 (7.7.2-1) unstable; urgency=low

  * Initial release

 -- Tom Teichler <debdolph@tom-teichler.de>  Sat, 02 Oct 2021 12:26:56 +0200

=== debian/control ===
Source: django-select2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Tom Teichler <debdolph@tom-teichler.de>, Dominik George <natureshadow@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-django (>= 2.2~),
 python3-django-appconf (>=0.6.0~),
 python3-setuptools,
 python3-setuptools-scm,
 python3-pytest-runner,
Standards-Version: 4.6.0
Homepage: https://github.com/codingjoe/django-select2
Vcs-Git: https://salsa.debian.org/python-team/packages/django-select2.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-select2

Package: python3-django-select2
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, libjs-select2.js
Description: Select2 option fields for Django
 The app includes Select2 driven Django Widgets.
 Documentation
 .
 Documentation available at django-select2.readthedocs.io.
 .
 Note:
 .
 Django's admin comes with builtin support for Select2 via the
 autocomplete_fields feature.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Mon, 27 Sep 2021 17:18:36 +0200
export PYBUILD_NAME=django_select2
# Tests missing in sdist, upstream issue pending
export PYBUILD_DISABLE=test
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# please also check http://pypi.debian.net/django-select2/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/django-select2/django-select2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-select2 7.10.0

=== debian/changelog ===
django-select2 (7.10.0-2) unstable; urgency=medium

  * Team upload.
  * CVE-2025-48383: Fix leak of secret access tokens across requests
    (closes: #1106747).
  * use-local-select2.patch: Update tests to match.
  * Fix running of tests during build.
  * Enable autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Fri, 30 May 2025 00:53:51 +0100

django-select2 (7.10.0-1) unstable; urgency=medium

  * Team upload

  [ Tom Teichler ]
  * New upstream release
  * Enable testsuite

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-django and
      python3-django-appconf.
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Tom Teichler ]
  * Remove no longer needed patch
  * Refresh patch use-local-select2.patch
  * Add missing build dependency

  [ Antonio Terceiro ]
  * use-local-select2.patch: fix typo

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 31 Oct 2023 12:04:39 -0300

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,21 @@
  debhelper-compat (= 13),
  dh-python,
  python3-all,
- python3-django (>= 2.2~),
- python3-django-appconf (>=0.6.0~),
+ python3-django,
+ python3-django-appconf,
+ python3-pytest,
+ python3-pytest-cov,
+ python3-pytest-django,
+ python3-pytest-runner,
+ python3-selenium,
  python3-setuptools,
  python3-setuptools-scm,
- python3-pytest-runner,
+ python3-sphinx,
 Standards-Version: 4.6.0
 Homepage: https://github.com/codingjoe/django-select2
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-select2.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-select2
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-django-select2
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Mon, 27 Sep 2021 17:18:36 +0200
export PYBUILD_NAME=django_select2
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# please also check http://pypi.debian.net/django-select2/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-select2/django-select2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
